Delete a tool

Server: https://{kibana_url}
  • DELETE /api/agent_builder/tools/{toolId}

Delete a tool by ID. This action cannot be undone. To learn more about Agent Builder tools, refer to the tools documentation.

[Required authorization] Route required privileges: agentBuilder:manageTools.

Path Parameters

toolId string required

The unique identifier of the tool to delete.

Query Parameters

force boolean · default: false

If true, removes the tool from agents that use it and then deletes it. If false and any agent uses the tool, the request returns 409 Conflict with the list of agents.

Response

200

Indicates a successful response

application/json